##### basic_deadline_timer::basic_deadline_timer (6 of 7 overloads)

Constructor to set a particular expiry time relative to now.

    template<
        typename ExecutionContext>
    basic_deadline_timer(
        ExecutionContext & context,
        const duration_type & expiry_time,
        typename constraint< is_convertible< ExecutionContext &, execution_context & >::value >::type  = 0);

This constructor creates a timer and sets the expiry time.

###### Parameters

context

  An execution context which provides the I/O executor that the timer will use, by default, to dispatch handlers for any asynchronous operations performed on the timer.

expiry_time

  The expiry time to be used for the timer, relative to now.